Page MenuHomePhabricator

MMV not working for pages after saved with VisualEditor and not reloaded
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

  1. Open a page with an image
  2. Click "Edit" (to start VE)
  3. Change the content
  4. Save the page
  5. Click the image

Expected:
The image should be opened with MMV

Observed:
You will be redirected to the File page

If you reload the page, you can open the image with MMV. Reproduced on https://www.mediawiki.org/wiki/Project:Sandbox

Details

Related Gerrit Patches:
mediawiki/extensions/MultimediaViewer : masterUse wikipage.content hook for updating thumbnail list
mediawiki/extensions/MultimediaViewer : masterRe-add event listeners to images after a finished VE edit

Event Timeline

Florian created this task.Apr 23 2015, 8:53 AM
Florian raised the priority of this task from to Needs Triage.
Florian updated the task description. (Show Details)
Florian added projects: VisualEditor, MediaViewer.
Florian added a subscriber: Florian.
Restricted Application added a project: Multimedia. · View Herald TranscriptApr 23 2015, 8:53 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Florian claimed this task.Aug 12 2015, 6:52 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptAug 12 2015, 6:52 PM

Change 231079 had a related patch set uploaded (by Florianschmidtwelzow):
Re-add event listeners to images after a finished VE edit

https://gerrit.wikimedia.org/r/231079

Jdforrester-WMF triaged this task as Medium priority.Aug 12 2015, 7:07 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.

Change 231079 merged by jenkins-bot:
Re-add event listeners to images after a finished VE edit

https://gerrit.wikimedia.org/r/231079

Florian closed this task as Resolved.Aug 14 2015, 12:44 AM

\o/ Thanks @Tgr

Change 235176 had a related patch set uploaded (by Gergő Tisza):
Use wikipage.content hook for updating thumbnail list

https://gerrit.wikimedia.org/r/235176

Change 235176 merged by jenkins-bot:
Use wikipage.content hook for updating thumbnail list

https://gerrit.wikimedia.org/r/235176